import request from '@/utils/httpRequest'

export default class WorkContractService {
  save (param) {
    return request({
      url: '/workContract/workContractFile/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: '/workContract/workContractFile/updateStatusById',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/workContract/workContractFile/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractInfoId (id) {
    return request({
      url: '/workContract/workContractFile/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
}
